from django.db import models

# Create your models here.

class Entry(models.Model):
    title = models.CharField('title for the entry',max_length=200)
    pub_date = models.DateTimeField('date published')
    body = models.TextField('body for the entry')

    def get_absolute_url(self):
        return '/blog/archive/%i/'%(self.id)

    def __unicode__(self):
        return self.title

    class Meta:
        verbose_name="Entry"
        verbose_name_plural="Entries"

    class Admin:
        pass


class Top(models.Model):
    entry=models.ForeignKey(Entry)

    def get_absolute_url(self):
        return '/blog/archive/%i/'%(self.entry.id)

    def __unicode__(self):
        return self.entry.title

    class Admin:
        pass


class File(models.Model):
    title = models.CharField('name of the file',max_length=200)
    pub_date = models.DateTimeField('date published')
    description = models.TextField('description',blank=True)
    file = models.FileField("file to upload",upload_to="files")

    def __unicode__(self):
        return self.title

    class Admin:
        pass



class Article(models.Model):
    title = models.CharField('name of the article',max_length=200)
    abstract = models.TextField('abstract')
    pub_date = models.DateTimeField('date published')
    body = models.TextField('body for the article')
    articlefile = models.ManyToManyField(File,blank=True)

    def __unicode__(self):
        return self.title

    class Admin:
        pass



class Book(models.Model):
    title = models.CharField('name of the book',max_length=200)
    pub_date = models.DateTimeField('date published')
    body = models.TextField('description of the book')
    bookfile = models.ManyToManyField(File)

    def __unicode__(self):
        return self.title

    class Admin:
        pass


class Project(models.Model):
    title = models.CharField('name of the project',max_length=200)
    pub_date = models.DateTimeField('date published')
    body = models.TextField('description of the project')
    projectfile = models.ManyToManyField(File,blank=True)

    def __unicode__(self):
        return self.title

    class Admin:
        pass


class Comment(models.Model):
    title = models.CharField('Title',max_length=200)
    author = models.CharField('Author',max_length=50)
    email = models.EmailField('Email')
    pub_date = models.DateTimeField('Date',auto_now_add=True)
    body = models.TextField('Comment')

    class Admin:
        pass

class Foto(models.Model):
    title = models.CharField('name of the file',max_length=200)
    pub_date = models.DateTimeField('date published')
    description = models.TextField('description',blank=True)
    image = models.ImageField("file to upload",upload_to="files")

    def __unicode__(self):
        return self.title

    class Admin:
        pass
